Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.mvel
Class TilesContextBeanVariableResolverFactory

    java.lang.Object
      org.mvel2.integration.impl.BaseVariableResolverFactory
          org.apache.tiles.mvel.TilesContextBeanVariableResolverFactory

All Implemented Interfaces:
  java.io.Serializable, org.mvel2.integration.VariableResolverFactory

    public class TilesContextBeanVariableResolverFactory

extends org.mvel2.integration.impl.BaseVariableResolverFactory

Resolves beans stored in request, session and application scopes.

Since:
  2.2.0
Version:
  $Rev: 817009 $ $Date: 2009-09-20 13:26:26 +0200 (dom, 20 set 2009) $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mvel2.integration.impl.BaseVariableResolverFactory
`indexedVariableNames, indexedVariableResolvers, nextFactory, variableResolvers`

Constructor Summary
`TilesContextBeanVariableResolverFactory(TilesRequestContextHolder requestHolder)` Constructor.

Method Summary
`org.mvel2.integration.VariableResolver` | `createVariable(java.lang.String name, java.lang.Object value)`
`org.mvel2.integration.VariableResolver` | `createVariable(java.lang.String name, java.lang.Object value, java.lang.Class<?> type)`
`org.mvel2.integration.VariableResolver` | `getVariableResolver(java.lang.String name)`
`boolean` | `isResolveable(java.lang.String name)`
`boolean` | `isTarget(java.lang.String name)`

Methods inherited from class org.mvel2.integration.impl.BaseVariableResolverFactory
`appendFactory, createIndexedVariable, createIndexedVariable, getIndexedVariableNames, getIndexedVariableResolver, getKnownVariables, getNextFactory, getVariableResolvers, insertFactory, isIndexedFactory, isNextResolveable, setIndexedVariableNames, setIndexedVariableResolver, setNextFactory, setVariableResolvers, variableIndexOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TilesContextBeanVariableResolverFactory

    public TilesContextBeanVariableResolverFactory(TilesRequestContextHolder requestHolder)

  Constructor.

  Parameters:
    `requestHolder` - The Tiles request holder.
  Since:
    2.2.0

Method Detail

### createVariable

    public org.mvel2.integration.VariableResolver createVariable(java.lang.String name,
                                                                 java.lang.Object value)

### createVariable

    public org.mvel2.integration.VariableResolver createVariable(java.lang.String name,
                                                                 java.lang.Object value,
                                                                 java.lang.Class<?> type)

### isResolveable

    public boolean isResolveable(java.lang.String name)

### getVariableResolver

    public org.mvel2.integration.VariableResolver getVariableResolver(java.lang.String name)

  Specified by:
    `getVariableResolver` in interface `org.mvel2.integration.VariableResolverFactory`
  Overrides:
    `getVariableResolver` in class `org.mvel2.integration.impl.BaseVariableResolverFactory`

### isTarget

    public boolean isTarget(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.